
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>详解PHP处理密码的几种方式_php实例 / iVAN</title>

    <meta name="description" content="详解PHP处理密码的几种方式_php实例 在 PHP中,经常会对用户身份进行认证.本文意在讨论对密码的处理,也就是对密码的加密处理. MD5 相信很多PHP开发者在最先接触PHP的时候,处理密码的首选加密函数可能就是MD5了,我当时就是这样的: $password = md5($_POST[&quot;password&quot;]); 上面这段代码是不是很熟悉?然而MD5的加密方式目前已经不太安全了,因为它的加密算法实在是显得有点简单了,而且很多破解密码的站点都存放了很多经过MD5加密的密码字符串,所以这里我是非常不提倡还在单单使用M ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">详解PHP处理密码的几种方式_php实例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在 PHP中，经常会对用户身份进行认证。本文意在讨论对密码的处理，也就是对密码的加密处理。</p>
<p><strong>MD5</strong></p>
<p>相信很多PHP开发者在最先接触PHP的时候，处理密码的首选加密函数可能就是MD5了，我当时就是这样的：</p>
<pre>
$password = md5($_POST["password"]);</pre>
<p>上面这段代码是不是很熟悉？然而MD5的加密方式目前已经不太安全了，因为它的加密算法实在是显得有点简单了，而且很多破解密码的站点都存放了很多经过MD5加密的密码字符串，所以这里我是非常不提倡还在单单使用MD5来加密用户的密码的。</p>
<p><strong>SHA256 和 SHA512</strong></p>
<p>其实跟前面的MD5同期的还有一个SHA1加密方式的，不过也是算法比较简单，所以这里就不介绍了。而这里即将要说到的SHA256 和 SHA512都是来自于SHA2家族的加密函数，看名字可能你就猜的出来了，这两个加密方式分别生成256和512比特长度的 hash字串。</p>
<p>他们的使用方法如下：</p>
<pre>
$password = hash("sha256", $password);</pre>
<p>PHP内置了hash()函数，你只需要将加密方式传给hash()函数就好了。你可以直接指明sha256, sha512, md5, sha1等加密方式。</p>
<p><strong>盐值</strong></p>
<p>在加密的过程，我们还有一个非常常见的东西：盐值。对，我们在加密的时候其实会给加密的字符串添加一个额外的字符串，以达到提高一定安全的目的，并且盐值要记录下来，方便以后的比对：</p>
<pre>
function generateHashWithSalt($password) {
  $intermediateSalt = md5(uniqid(rand(), true));
  $salt = substr($intermediateSalt, 0, 6);
  return hash("sha256", $password . $salt);
}</pre>
<p><strong>Bcrypt</strong></p>
<p>Bcrypt不失为一种比较不错的加密方式了，但是后面介绍的 Hashing API更好。</p>
<pre>
function generateHash($password) {
  if (defined("CRYPT_BLOWFISH") &amp;&amp; CRYPT_BLOWFISH) {
    $salt = '$2y$11$' . substr(md5(uniqid(rand(), true)), 0, 22);
    return crypt($password, $salt);
  }
}</pre>
<p>Bcrypt 其实就是Blowfish和crypt()函数的结合，我们这里通过CRYPT_BLOWFISH判断Blowfish是否可用，然后像上面一样生成一个盐值，不过这里需要注意的是，crypt()的盐值必须以 $2a$ 或者 $2y$ 开头。</p>
<p><strong>Password Hashing API</strong></p>
<p>这里才是我们的重头戏，Password Hashing API是PHP 5.5之后才有的新特性，它主要是提供下面几个函数供我们使用：</p>
<pre>
password_hash()     //对密码加密.
password_verify()    //验证已经加密的密码，检验其hash字串是否一致.
password_needs_rehash() //给密码重新加密.
password_get_info()   //返回加密算法的名称和一些相关信息.</pre>
<p>使用这套 API不仅简单，而且更加安全，这也是 PHP官方推荐的加密方式。</p>
<pre>
$hash = password_hash($passwod, PASSWORD_DEFAULT);</pre>
<p>PASSWORD_DEFAULT目前使用的就是Bcrypt加密算法，这里需要注意的是，如果你代码使用的都是PASSWORD_DEFAULT加密方式，那么在数据库的表中，password字段就得设置超过60个字符长度，你也可以使用PASSWORD_BCRYPT算法，该算法加密后的字符串长度总为60。</p>
<p>这里使用 password_hash()你完全可以不提供盐值(salt)和 消耗值 (cost)，你可以将后者理解为一种性能的消耗值，cost越大，加密算法越复杂，消耗的内存也就越大。当然，如果你需要指定对应的盐值和消耗值，你可以这样写：</p>
<pre>
$options = [
  'salt' =&gt; custom_function_for_salt(), //自定义函数来获得盐值
  'cost' =&gt; 12 // the default cost is 10
];
$hash = password_hash($password, PASSWORD_DEFAULT, $options);</pre>
<p>不过一般自定义 cost就好了， salt值则使用默认的。</p>
<p>加密好后，只需要简单的使用即可验证密码是否正确</p>
<pre>
&lt;?php
if (password_verify($password, $hash)) {
  // Pass
}
else {
  // Invalid
}</pre>
<p>直接使用password_verify就可以对我们之前加密过的字符串（存在数据库中）进行验证了。</p>
<p>如果要更换更改加密的方式，则必须使用以下代码来重新加密：</p>
<pre>
if (password_needs_rehash($hash, PASSWORD_DEFAULT, ['cost' =&gt; 12])) {
  // cost 变为 12
  $hash = password_hash($password, PASSWORD_DEFAULT, ['cost' =&gt; 12]);

  // 然后重新保存 hash值
}
</pre>
<p>只有这样，PHP的 Password Hashing API才会知道我们重现更换了加密方式，这样才能完成之后的密码验证。</p>
<p><strong>password_get_info()，这个函数一般可以看到下面三个信息：</strong></p>
<p>1、algo – 算法实例</p>
<p>2、algoName – 算法名字</p>
<p>3、options – 加密时候的可选参数</p>
<p>以上就是本文的全部内容，希望对大家的学习有所帮助，也希望大家多多支持。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索php密码加密方式<br />
                                    婴儿毛衣编织实例详解、abaqus工程实例详解、android创意实例详解、usb应用开发实例详解、c 编程实例详解，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 13:27:01</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/php%e5%af%86%e7%a0%81%e5%8a%a0%e5%af%86%e6%96%b9%e5%bc%8f/" title="php密码加密方式">php密码加密方式</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>详解PHP处理密码的几种方式_php实例的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn0l0Ob.html" rel="bookmark">详解PHP处理密码的几种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在 PHP中,经常会对用户身份进行认证.本文意在讨论对密码的处理,也就是对密码的加密处理. MD5 相信很多PHP开发者在最先接触PHP的时候,处理密码的首选加密函数可能就是MD5了,我当时就是这样的: $password = md5($_POST[&quot;password&quot;]); 上面这段代码是不是很熟悉?然而MD5的加密方式目前已经不太安全了,因为它的加密算法实在是显得有点简单了,而且很多破解密码的站点都存放了很多经过MD5加密的密码字符串,所以这里我是非常不提倡还在单单使用MD5来加密			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLmlgM.html" rel="bookmark">详解PHP实现定时任务的五种方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				定时运行任务对于一个网站来说,是一个比较重要的任务,比如定时发布文档,定时清理垃圾信息等,现在的网站大多数都是采用PHP动态语言开发的,而对于PHP的实现决定了它没有Java和.Net这种AppServer的概念,而http协议是一个无状态的协议,PHP只能被用户触发,被调用,调用后会自动退出内存,没有常驻内存. 如果非要PHP去实现定时任务, 可以有以下几种解决方案: 一. 简单直接不顾后果型 &lt;?php ignore_user_abort();//关掉浏览器,PHP脚本也可以继续执行. se			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmdlmwM.html" rel="bookmark">详解Spring配置事务的五种方式&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring配置文件中关于事务配置总是由三个组成部分,分别是 DataSource .TransactionManager  和 代理机制 这三部分,无论哪种配置方式,一般变化的只是代理机制这部分. DataSource.TransactionManager这两部分只是会根据数据访问方式有所变化,比如使用Hibernate进行数据访问时,DataSource实际为SessionFactory,TransactionManager的实现为HibernateTransactionManager. 具			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK8qNWM.html" rel="bookmark">详解java开发webservice的几种方式&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				webservice的应用已经越来越广泛了,下面介绍几种在Java体系中开发webservice的方式,相当于做个记录. 1.Axis2 Axis是apache下一个开源的webservice开发组件,出现的算是比较早了,也比较成熟.这里主要介绍Axis+eclipse开发webservice,当然不用eclipse也可以开发和发布webservice,只是用eclipse会比较方便. (1)下载eclipse的Java EE版本http://www.jb51.net/softs/239903.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MynY04p.html" rel="bookmark">详解Java实现多线程的三种方式&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了Java实现多线程的三种方式,供大家参考,具体内容如下 import java.util.concurrent.Callable; import java.util.concurrent.FutureTask; public class Main { public static void main(String[] args) { //方法一:继承Thread int i = 0; // for(; i &lt; 100; i++){ // System.out.println(T			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrZQ2p.html" rel="bookmark">详解iOS获取通讯录的4种方式&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了iOS获取通讯录的4种方式,供大家参考,具体内容如下 使用场景 一些App通过手机号码来推荐好友,如 微博.支付宝 首先客户端会获取通讯录中的所有手机号然后将这些手机号提交到App服务器中,服务器会查找每个手机号对应的App账号如QQ号码返回到客户端,然后客户端根据服务器返回的账号列表来推荐好友. 获取联系人方式 方案一:AddressBookUI.framework框架 提供了联系人列表界面.联系人详情界面.添加联系人界面等 一般用于选择联系人 方案二:AddressBoo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmmwVp.html" rel="bookmark">PHP之密码加密的几种方式&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP开发WEB应用程序,经常会完成用户注册信息,注册信息里面包括邮箱和密码的验证问题,这篇文章主要是针对密码加密的技师方式. MD5 相信很多PHP开发者在最先接触PHP的时候,处理密码的首选加密函数可能就是MD5了,我当时就是这样的: 复制代码 代码如下: $password = md5($_POST[&quot;password&quot;]); 上面这段代码是不是很熟悉?然而MD5的加密方式目前在PHP的江湖中貌似不太受欢迎了,因为它的加密算法实在是显得有点简单了,而且很多破解密码的站点都存放了很			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7r3Bb.html" rel="bookmark">PHP读取文件内容的五种方式&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				php读取文件内容的五种方式 分享下php读取文件内容的五种方法:好吧,写完后发现文件全部没有关闭.实际应用当中,请注意关闭 fclose($fp); -- php读取文件内容: -----第一种方法-----fread()-------- &lt;?php $file_path = &quot;test.txt&quot;; if(file_exists($file_path)){ $fp = fopen($file_path,&quot;r&quot;); $str = fread($fp,files			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXq69jz.html" rel="bookmark">PHP中加速、缓存扩展的区别和作用详解&lpar;eAccelerator、memcached、xcache、APC &rpar;&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP中有eAccelerator.memcached.xcache.APC 4个加速.缓存扩展,下面给大家介绍下其区别,一起看看吧! 折腾VPS的朋友,在安装好LNMP等Web运行环境后都会选择一些缓存扩展安装以提高PHP运行速度,常被人介绍的有 eAccelerator.memcached.xcache.Alternative PHP Cache这几个缓存扩展,它们之间有什么区别?分别的作用又是什么?我们如何选择?这是本文给于大家的答案. 1.eAccelerator eAccelerato			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRwvqp.html" rel="bookmark" class="title">如何用飞信充值话费？</a>
					<div>
						  下载&quot;飞信2014&quot;,登录账号,在联系人列表中选择最右边的按钮,点击按钮打开后,我们看到许多小工具.在小工具中点击&quot;手机支付&quot;. 点击&quot;手机支付& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEEy3b.html" rel="bookmark" class="title">Thinkphp里import的几个用法介绍</a>
					<div>
						下面附上import的几个用法介绍 1.用法一 import('@.Test.Translate'); @,表示项目根目录.假定根目录是:App/ 导入类库的路径是:App/Lib/Test/Tran ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPKLAM.html" rel="bookmark" class="title">彩色校验码的制作方法</a>
					<div>
						要读懂这些代码主要是要了解ASP中操作二进制数据的对象ADODB.Stream!本程序主要用的就是Adodb.Stream,如果你有这个基础,就可以进一步添加更多的功能如加入杂点,渐变底色,数字行列错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8lv9p.html" rel="bookmark" class="title">Oracle 9i修改数据库的工作模式</a>
					<div>
						 (1)启动[数据库配置助手],一直到出现如图6.34所示的[操作]界面.    (2)出现如图6.35所示的[数据库]界面.    (3)出现如图6.36所示的数据库选项的[数据库特性]选项卡.   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze1gNz.html" rel="bookmark" class="title">网页设计参考&colon;50个杂志类网站设计实例</a>
					<div>
						打破水平对齐的竖式流体布局慢慢成为潮流,它从报纸的排版中吸收营养,主要看重布局的平衡,强调,对比,以及将标题.图片.文本区域.空白进行混合搭配的控制能力.布局永远是web设计中首要要考虑的事情,也是最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEBG6M.html" rel="bookmark" class="title">有关win2000、IIS5中asp详细出错信息的显示&lpar;不难，但很多人问）</a>
					<div>
						iis|显示     最近经常有人问在win2000和IIS5中不显示asp错误的详细信息,而只显示错误号,如&quot;错误ID800xxxxx&quot;,这使得程序调试很不方便,有些人采取在II ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYWOez.html" rel="bookmark" class="title">实战 &period;Net 数据访问层 - 18</a>
					<div>
						访问|数据 谈了些实现问题,来说说几个题外话: (1) 性能问题:Cache Management能显著提高数据访问效率,但对内存的要求比较高,尤其是在Web Application或Remoting ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr63WM.html" rel="bookmark" class="title">巧变：让网站设计助SEO的新思路</a>
					<div>
						在做站方面,传统意义上的SEO现在都是那么几个模式,已经给不了人多少新奇感,因此这样做出来的网站也引导不了网民的阅读欲.一个网站靠单纯的SEO手段去取得更大的访问量在现在已经是远远不够的,因此,我们需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62JgoM.html" rel="bookmark" class="title">在Word 2007&OpenCurlyDoubleQuote;表格工具&rdquo;功能区设置表格边框</a>
					<div>
						用户可以通过Word2007文档&quot;表格工具&quot;功能区设置Word表格边框,包括边 框样式.边框宽度.边框颜色和边框显示位置,操作步骤如下所述: 第1步,打开Word2007文档窗口, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oN6Ab.html" rel="bookmark" class="title">PHP中多维数组的foreach遍历示例</a>
					<div>
						  .代码如下: &lt;?php  //声明一个三维数组  $info=array(  &quot;user&quot;=&gt;array(  array(1,&quot;zhangsan&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze76gwM.html" rel="bookmark" class="title">ps制作蓝色眼珠特效</a>
					<div>
						  本教程介绍发光物体的制作方法.基本上用滤镜来完成,制作之前简单的把需要加光的物体渲染好颜色,然后再径向模糊后用蒙版控制好发光区域即可.原图   最终效果   一.打开原图素材,建新层,画一眼球大小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGq5Wp.html" rel="bookmark" class="title">Photoshop制作一个漂亮的金色元宝</a>
					<div>
						  制作元宝之前,需要自己去网上搜集一些好看的元宝素材;找出自己喜欢的款式,再了解清楚构造;然后按照分解图慢慢去刻画即可. 最终效果 &lt;点小图查看大图&gt; 1.新建一个1000 * 700像 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP84qvp.html" rel="bookmark" class="title">Win7 32位系统下防止u盘自行启动木马的三个有效措施</a>
					<div>
						  一.关闭系统WebClient服务 1)首先打开win7系统的开始菜单,并打开运行对话框窗口,输入&quot;Services.msc&quot;,打开服务设置; 2)找到&quot;Disabl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW2rPp.html" rel="bookmark" class="title">win7那么多版本有什么区别？</a>
					<div>
						我们在使用的windows7系统一般都是旗舰版,朋友可能还不知道,windows7有6大版本,众多版本在功能上有什么区别呢?又有哪6大版本呢? windows7 6大版本: Windows 7 Sta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkwyEb.html" rel="bookmark" class="title">表字段关联，查询内容</a>
					<div>
						问题描述 表字段关联,查询内容 这个li是当前案例页面读取到的产品表的ID,想通过这个产品表ID来获取到产品表中需要显示在案例页面的内容 解决方案 查询表字段和注解sql 查询表字段的说明Superm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ5Wkb.html" rel="bookmark" class="title">应用FluenceInterface设计让使用者更方便</a>
					<div>
						--&lt;设计模式_基于C#的工程化实现及扩展&gt; 相信有用过jquery的朋友,会清楚Jquery在使用上经常是$().fun1(-).fun2(-)这种样式的.Fluent Interfac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3qgPz.html" rel="bookmark" class="title">设计模式：备忘录模式（Memento）</a>
					<div>
						在不破坏封装性的前提下,捕获一个对象的内部状态,并在该对象之外保存这个状态.这样以后就可将对象恢复到原先保存的状态. 备忘录模式的角色: 1. 原发器(Originator):负责创建一个备忘录,用以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RlJAz.html" rel="bookmark" class="title">二十一世纪最性感的职业：数据科学家</a>
					<div>
						  性感事物方面的权威&lt;哈佛商业评论&gt;宣布,&quot;数据科学家&quot;是二十一世纪最性感的职业.所谓性感,既代表着难以名状的诱惑,又说明了大家都不知道它干的是什么. 不管老板懂不懂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqodjb.html" rel="bookmark" class="title">cmake 学习笔记&lpar;六&rpar;</a>
					<div>
						希望这是现阶段阻碍阅读shiboken和PySide源码的涉及cmake的最后一个障碍 ^ _^ 学习 cmake 的单元测试部分 ctest. 简单使用 最简单的使用ctest的方法,就是在 CMa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5nLap.html" rel="bookmark" class="title">中国将建教育云资源平台 设两万门优质网络课程</a>
					<div>
						据教育部网站消息,教育部近日印发&lt;教育信息化十年发展规划2011-2020年)&gt;.&lt;规划&gt;提出实施&quot;中国数字教育2020&quot;行动计划,建设教育云资源平台,建设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RP2Dz.html" rel="bookmark" class="title">全面解剖朗科百万研发加密产品&OpenCurlyDoubleQuote;超级BOSS&rdquo;K390</a>
					<div>
						一部&lt;来自星星的你&gt;短短10个礼拜时间,红遍整个大东亚地区,现在见面不聊几句&lt;星你&gt;的话题,感觉都不是这个时代的人.你可能早已被都叫兽.二千深深吸引,你应该更没有忘记因为一个U ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JejNz.html" rel="bookmark" class="title">制造商为全久荣企业股份有限公司的一款奶茶大肠菌群超标</a>
					<div>
						国家质检总局抽检结果称,制造商为全久荣企业股份有限公司的一款奶茶大肠菌群超标.据亲贝网了解,国家质检总局近期公布了8月份进口不合格食品.化妆品名单,结果显示,制造商为全久荣企业股份有限公司一款重81. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkD5mM.html" rel="bookmark" class="title">Avere创造了新的SPECsfs2008成绩记录</a>
					<div>
						时间不长:13天而已.文件存储系统厂商Avere亮出了它真正的牙齿,创造了新的SPECsfs2008成绩记录,将NetApp从SPECsfs 2008 NFS(网络文件系统)基准测试的宝座赶了下来.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5VdWp.html" rel="bookmark" class="title">订机票不要图优惠&comma;央视曝光旅行网站机票陷阱</a>
					<div>
						为了春运能够买到便宜点的回家票,有的网友会选择一些旅行网,在网上订购一种机票套餐.不过要提醒您的是,这样的套餐虽然说价格很实惠,但是一旦您的行程突然改变的话,想要退改签的时候要承担的损失就大了,因为这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z7X0z.html" rel="bookmark" class="title">MySql中Where语句IN的排序方法详解</a>
					<div>
						mysql在批量查询时,通过in查询的结果和in中的值的顺序并不一致,对此mysql也有针对in的排序方式.具体查询如下: 第一种方式,order by field,按字段查询,示例: select  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE131z.html" rel="bookmark" class="title">goagent ssl-GoAgent ssl&period;warp&lowbar;socket问题</a>
					<div>
						问题描述 GoAgent ssl.warp_socket问题 goagent 出现如图问题.ip地址是刚刚更新过的,请问什么问题,是否有办法解决? 解决方案 goagent 被 gfw 给那个了,你懂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAV9Vp.html" rel="bookmark" class="title">苏宁成立八大直属独立公司</a>
					<div>
						摘要: 2月21日消息,苏宁在刚结束的春季部署会议上,对公司结构进行调整,设立八大直属独立公司.苏宁对外公布了其中已经成立的6家,剩下两家还在筹备成立当中. 6家直属公司包括先前 2月21日消息,苏宁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJeKZwp.html" rel="bookmark" class="title">浅谈婚恋网站的责任和现状以及解决思路</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 因为婚恋网站经常成为婚恋诈骗的基地,特别是本人的一些朋友&quot;有幸&quot;经历过这样的事件,所以写下这篇文字.不仅希望各位适龄男女提高防骗能力 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOW5NRz.html" rel="bookmark" class="title">数据库主码被设为外码</a>
					<div>
						问题描述 数据库主码被设为外码 数据库中外码是非码属性,因此可取值为空值或对应参照表的主码值,而我在数据库系统导论这本书中看到一段代码将sno , cno设置为主码,但又将sno,cno设为外码,那岂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxgYQBb.html" rel="bookmark" class="title">Oracle官方并发教程之原子变量</a>
					<div>
						原文地址,译文地址 ,译者:李任,校对:郑旭东 java.util.concurrent.atomic包定义了对单一变量进行原子操作的类.所有的类都提供了get和set方法,可以使用它们像读写vola ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
